Open CASCADE Technology: GC_MakeSegment Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GC_MakeSegment Class Reference

Implements construction algorithms for a line segment in 3D space. Makes a segment of Line from the 2 points <P1> and <P2>. The result is a Geom_TrimmedCurve curve. A MakeSegment object provides a framework for: More...

`#include <GC_MakeSegment.hxx>`

Inheritance diagram for GC_MakeSegment:
[legend]

## Public Member Functions
| GC_MakeSegment (const gp_Pnt &P1, const gp_Pnt &P2)
| Make a segment of Line from the 2 points <P1> and <P2>. It returns NullObject if <P1> and <P2> are confused. More...
| GC_MakeSegment (const gp_Lin &Line, const Standard_Real U1, const Standard_Real U2)
| Make a segment of Line from the line <Line1> between the two parameters U1 and U2. It returns NullObject if <U1> is equal <U2>. More...
| GC_MakeSegment (const gp_Lin &Line, const gp_Pnt &Point, const Standard_Real Ulast)
| Make a segment of Line from the line <Line1> between the point <Point> and the parameter Ulast. It returns NullObject if <U1> is equal <U2>. More...
| GC_MakeSegment (const gp_Lin &Line, const gp_Pnt &P1, const gp_Pnt &P2)
| Make a segment of Line from the line <Line1> between the two points <P1> and <P2>. It returns NullObject if <U1> is equal <U2>. More...
const Handle< Geom_TrimmedCurve > & | Value () const
| Returns the constructed line segment. More...
const Handle< Geom_TrimmedCurve > & | Operator () const
| operator Handle_Geom_TrimmedCurve () const
Public Member Functions inherited from GC_Root
Standard_Boolean | IsDone () const
| Returns true if the construction is successful. More...
gce_ErrorType | Status () const
| Returns the status of the construction: More...

## Additional Inherited Members
Protected Attributes inherited from GC_Root
gce_ErrorType | TheError

## Detailed Description

Implements construction algorithms for a line segment in 3D space. Makes a segment of Line from the 2 points <P1> and <P2>. The result is a Geom_TrimmedCurve curve. A MakeSegment object provides a framework for:

- defining the construction of the line segment,
- implementing the construction algorithm, and
- consulting the results. In particular, the Value function returns the constructed line segment.

## Constructor & Destructor Documentation

GC_MakeSegment::GC_MakeSegment | ( | const gp_Pnt & | P1,
|  | const gp_Pnt & | P2
| ) |  |

Make a segment of Line from the 2 points <P1> and <P2>. It returns NullObject if <P1> and <P2> are confused.

GC_MakeSegment::GC_MakeSegment | ( | const gp_Lin & | Line,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2
| ) |  |

Make a segment of Line from the line <Line1> between the two parameters U1 and U2. It returns NullObject if <U1> is equal <U2>.

GC_MakeSegment::GC_MakeSegment | ( | const gp_Lin & | Line,
|  | const gp_Pnt & | Point,
|  | const Standard_Real | Ulast
| ) |  |

Make a segment of Line from the line <Line1> between the point <Point> and the parameter Ulast. It returns NullObject if <U1> is equal <U2>.

GC_MakeSegment::GC_MakeSegment | ( | const gp_Lin & | Line,
|  | const gp_Pnt & | P1,
|  | const gp_Pnt & | P2
| ) |  |

Make a segment of Line from the line <Line1> between the two points <P1> and <P2>. It returns NullObject if <U1> is equal <U2>.

## Member Function Documentation

const Handle< Geom_TrimmedCurve >& GC_MakeSegment::Operator | ( |  | ) | const

GC_MakeSegment::operator Handle_Geom_TrimmedCurve | ( |  | ) | const

const Handle< Geom_TrimmedCurve >& GC_MakeSegment::Value | ( |  | ) | const

Returns the constructed line segment.

The documentation for this class was generated from the following file:

- GC_MakeSegment.hxx